Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: VLC Problem OpenSuse 13.1 KDE

  1. #1

    Default VLC Problem OpenSuse 13.1 KDE

    Hallo Leute,

    bin noch ziemlich frisch in der Linux Materie. Bin jetzt über Umwegen, Ubuntu und diversen Linux Mint Versionen bei Suse gelandet. Endlich n Betriebssystem gefunden das stabil ist und bis jetzt hab ich auch alles geschafft zu installieren was ich brauche. Von demher voll zufrieden.

    Was mich jedoch etwas verzweifeln lässt im Moment ist die VLC Geschichte. Ich krieg den einfach nicht zum laufen. Also spielt bei mir keine avi´s ab.

    Hab auch schon das Web durchforstet und unter anderem auch hier im Forum was gefunden. Jedoch hat alles nichts geholfen.

    Der letzte Stand ist, dass ich die VLC nochmal komplett runtergemacht hab mittels Yast und dann nochmal so installiert (mit 2 Pacman Sachen)

    zypper ar -f -n packman-essentials http://packman.inode.at/suse/openSUSE_13.1/Essentials/ packman-essentials
    zypper ar -f -n packman-multimedia http://packman.inode.at/suse/openSUSE_13.1/Multimedia/ packman-multimedia

    Danach Installation über diesen Link: http://download.videolan.org/pub/vlc/SuSE/13.1/vlc.ymp

    Danach selbes Problem wie vorher: VLC unterstützt das Audio- oder Videoformat "h264" nicht. Leider können Sie daran nichts ändern.
    oder
    VLC unterstützt das Audio- oder Videoformat "mp4v" nicht. Leider können Sie daran nichts ändern.

    Nun hab ich gelesen, dass abgesehen davon dass es sowieso nicht klappt, diese Vorgangsweise grundsätzlich schon keine gute Idee wäre:

    Zitat hier ausm Forum: Please, DON'T DO THAT! - Adding both the Packman _and_ VLC repo to your system, WILL BREAK your multimedia sooner or later! They contain the same packages in different versions.

    Also wenn das alles so stimmt, also dass man das nicht tun soll. Wie bekomme ich die packman-essentials und packman-multimedia wieder weg? Über Yast finde ich nichts und für mehr reichen meine Kenntnisse noch nicht.

    Übrigens habe ich DAVOR (vor Pacman Geschichte) auch schon versucht die Version direkt von der videolan Homepage (extra für OpenSuse 13.1) zu installieren (http://www.videolan.org/vlc/download-suse.html).

    Rausgekommen ist nichts dabei, selbes Problem.

    Bin ehrlichgesagt etwas verwundert, dass gerade VLC nicht funktioniert. Is doch irgendwie ein Plattforumübergreifendes Aushängeschild für Linux generell.

    Bitte um Hilfe:
    1. Wie krieg ich Pacman Zeug weg
    2. Wie krieg ich VLC zum laufen.

    Hoffe ich habe alles gesagt was wichtig ist.

    DANKE
    Pontius



  2. #2
    Join Date
    Jan 2010
    Location
    Ostwestfalen (Germany)
    Posts
    409

    Default AW: VLC Problem OpenSuse 13.1 KDE

    Zeigst du mal die Ausgaben von:
    Code:
    cat /etc/os-release
    Code:
    zypper lr -Pu
    Code:
    zypper se -si vlc
    Code:
    ls /etc/zypp/services.d/
    Code:
    ls /etc/zypp/repos.d/
    ?

  3. #3

    Default Re: AW: VLC Problem OpenSuse 13.1 KDE

    Danke Ok:
    Code:
    NAME=openSUSE
    VERSION="13.1 (Bottle)"
    VERSION_ID="13.1"
    PRETTY_NAME="openSUSE 13.1 (Bottle) (x86_64)"
    ID=opensuse
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/o:opensuse:opensuse:13.1"
    BUG_REPORT_URL="https://bugs.opensuse.org"
    HOME_URL="https://opensuse.org/"
    ID_LIKE="suse"
    Code:
     | Alias                                             | Name                                              | Aktiviert | Aktualisieren | Priorität | URI                                                                                                            
    ---+---------------------------------------------------+---------------------------------------------------+-----------+---------------+-----------+----------------------------------------------------------------------------------------------------------------
     1 | SuSE                                              | SuSE                                              | Ja        | Ja            |   99      | http://download.videolan.org/SuSE/13.1/                                                                        
     2 | VLC                                               | VLC                                               | Ja        | Nein          |   99      | http://download.videolan.org/pub/vlc/SuSE/13.1                                                                 
     3 | games:tools                                       | games:tools                                       | Ja        | Ja            |   99      | http://download.opensuse.org/repositories/games:/tools/openSUSE_13.1/                                          
     4 | home:jjfalling:branches:home:chenxiaolong:SABnzbd | home:jjfalling:branches:home:chenxiaolong:SABnzbd | Ja        | Ja            |   99      | http://download.opensuse.org/repositories/home:/jjfalling:/branches:/home:/chenxiaolong:/SABnzbd/openSUSE_13.1/
     5 | home:robverduijn                                  | home:robverduijn                                  | Ja        | Ja            |   99      | http://download.opensuse.org/repositories/home:/robverduijn/openSUSE_13.1/                                     
     6 | home:winski:skype                                 | home:winski:skype                                 | Ja        | Ja            |   99      | http://download.opensuse.org/repositories/home:/winski:/skype/openSUSE_13.1/                                   
     7 | openSUSE-13.1-1.10                                | openSUSE-13.1-1.10                                | Ja        | Nein          |   99      | cd:///?devices=/dev/disk/by-id/ata-HL-DT-ST_DVDRAM_GH24NS70_K2ZBC984037,/dev/sr0                               
     8 | packman                                           | packman                                           | Ja        | Nein          |   99      | http://packman.inode.at/suse/openSUSE_13.1/                                                                    
     9 | packman-essentials                                | packman-essentials                                | Ja        | Ja            |   99      | http://packman.inode.at/suse/openSUSE_13.1/Essentials/                                                         
    10 | packman-multimedia                                | packman-multimedia                                | Ja        | Ja            |   99      | http://packman.inode.at/suse/openSUSE_13.1/Multimedia/                                                         
    11 | repo-debug                                        | openSUSE-13.1-Debug                               | Nein      | Ja            |   99      | http://download.opensuse.org/debug/distribution/13.1/repo/oss/                                                 
    12 | repo-debug-update                                 | openSUSE-13.1-Update-Debug                        | Nein      | Ja            |   99      | http://download.opensuse.org/debug/update/13.1/                                                                
    13 | repo-debug-update-non-oss                         | openSUSE-13.1-Update-Debug-Non-Oss                | Nein      | Ja            |   99      | http://download.opensuse.org/debug/update/13.1-non-oss/                                                                                                            
    14 | repo-non-oss                                      | openSUSE-13.1-Non-Oss                             | Ja        | Ja            |   99      | http://download.opensuse.org/distribution/13.1/repo/non-oss/                                                   
    15 | repo-oss                                          | openSUSE-13.1-Oss                                 | Ja        | Ja            |   99      | http://download.opensuse.org/distribution/13.1/repo/oss/                                                       
    16 | repo-source                                       | openSUSE-13.1-Source                              | Nein      | Ja            |   99      | http://download.opensuse.org/source/distribution/13.1/repo/oss/                                                
    17 | repo-update                                       | openSUSE-13.1-Update                              | Ja        | Ja            |   99      | http://download.opensuse.org/update/13.1/                                                                      
    18 | repo-update-non-oss                               | openSUSE-13.1-Update-Non-Oss                      | Ja        | Ja            |   99      | http://download.opensuse.org/update/13.1-non-oss/
    Code:
    S | Name                        | Typ    | Version     | Arch   | Repository        
    --+-----------------------------+--------+-------------+--------+-------------------
    i | VideoLAN - VLC media player | Schema |             | noarch | SuSE              
    i | VideoLAN - VLC media player | Schema |             | noarch | VLC               
    i | libvlc5                     | Paket  | 2.1.4-86.1  | x86_64 | SuSE              
    i | libvlc5                     | Paket  | 2.1.4-86.1  | x86_64 | VLC               
    i | libvlccore7                 | Paket  | 2.1.4-86.1  | x86_64 | SuSE              
    i | libvlccore7                 | Paket  | 2.1.4-86.1  | x86_64 | VLC               
    i | vlc                         | Paket  | 2.1.4-86.1  | x86_64 | SuSE              
    i | vlc                         | Paket  | 2.1.4-86.1  | x86_64 | VLC               
    i | vlc-codecs                  | Paket  | 2.1.4-86.1  | x86_64 | SuSE              
    i | vlc-codecs                  | Paket  | 2.1.4-86.1  | x86_64 | VLC               
    i | vlc-gnome                   | Paket  | 2.1.4-86.1  | x86_64 | SuSE              
    i | vlc-gnome                   | Paket  | 2.1.4-86.1  | x86_64 | VLC               
    i | vlc-noX                     | Paket  | 2.1.4-86.1  | x86_64 | SuSE              
    i | vlc-noX                     | Paket  | 2.1.4-86.1  | x86_64 | VLC               
    i | vlc-noX-lang                | Paket  | 2.1.4-196.1 | noarch | packman           
    i | vlc-noX-lang                | Paket  | 2.1.4-196.1 | noarch | packman-essentials
    i | vlc-qt                      | Paket  | 2.1.4-86.1  | x86_64 | SuSE              
    i | vlc-qt                      | Paket  | 2.1.4-86.1  | x86_64 | VLC
    Code:
    games:tools.repo                                        openSUSE-13.1-1.10.repo  repo-debug.repo                 repo-oss.repo             SuSE.repo
    home:jjfalling:branches:home:chenxiaolong:SABnzbd.repo  packman-essentials.repo  repo-debug-update-non-oss.repo  repo-source.repo          VLC.repo
    home:robverduijn.repo                                   packman-multimedia.repo  repo-debug-update.repo          repo-update-non-oss.repo
    home:winski:skype.repo                                  packman.repo             repo-non-oss.repo               repo-update.repo
    Der vorletzte Befehl zeigt gar nichts an, springt nur eine Zeile weiter.

    THX

  4. #4
    Join Date
    Jan 2010
    Location
    Ostwestfalen (Germany)
    Posts
    409

    Default AW: Re: AW: VLC Problem OpenSuse 13.1 KDE

    Quote Originally Posted by MrX110 View Post
    Der vorletzte Befehl zeigt gar nichts an, springt nur eine Zeile weiter.
    Darauf hatte ich gehofft.

    So, aufräumen:

    VLC komplett löschen:
    Code:
    zypper rm -u vlc libvlccore7 libvlc5 vlc-codecs vlc-gnome vlc-noX vlc-qt
    Repositorien entfernen:
    Code:
    zypper rr 1 2 3 4 5 6 9 10
    Wofür brauchst du die Repositorien (welche du von mir aus auch behalten kannst) 5 und 6 eigentlich?

    Danach nochmals zur Kontrolle die Ausgaben von:
    Code:
    zypper se -si vlc
    Code:
    zypper lr -Pu
    So nebenbei, die Installations-DVD kannst du eigentlich auch deaktivieren:
    Code:
    zypper mr -d openSUSE-13.1-1.10

  5. #5

    Default Re: VLC Problem OpenSuse 13.1 KDE

    Danke erstmal.

    Hab ehrlichgesagt keine Ahnung was 5 is, 6 is irgendwas für Skype, keine Ahnung ob ich das brauche, muss wohl mit der Skype installation mitgekommen sein über software.opensuse.org

    O.k. also jetzt is mal alles weg dneke ich

    Code:
     1 | openSUSE-13.1-1.10        | openSUSE-13.1-1.10                 | Nein      | Nein          |   99      | cd:///?devices=/dev/disk/by-id/ata-HL-DT-ST_DVDRAM_GH24NS70_K2ZBC984037,/dev/sr0
     2 | packman                   | packman                            | Ja        | Nein          |   99      | http://packman.inode.at/suse/openSUSE_13.1/                                     
     3 | repo-debug                | openSUSE-13.1-Debug                | Nein      | Ja            |   99      | http://download.opensuse.org/debug/distribution/13.1/repo/oss/                  
     4 | repo-debug-update         | openSUSE-13.1-Update-Debug         | Nein      | Ja            |   99      | http://download.opensuse.org/debug/update/13.1/                                 
     5 | repo-debug-update-non-oss | openSUSE-13.1-Update-Debug-Non-Oss | Nein      | Ja            |   99      | http://download.opensuse.org/debug/update/13.1-non-oss/                         
     6 | repo-non-oss              | openSUSE-13.1-Non-Oss              | Ja        | Ja            |   99      | http://download.opensuse.org/distribution/13.1/repo/non-oss/                    
     7 | repo-oss                  | openSUSE-13.1-Oss                  | Ja        | Ja            |   99      | http://download.opensuse.org/distribution/13.1/repo/oss/                        
     8 | repo-source               | openSUSE-13.1-Source               | Nein      | Ja            |   99      | http://download.opensuse.org/source/distribution/13.1/repo/oss/                 
     9 | repo-update               | openSUSE-13.1-Update               | Ja        | Ja            |   99      | http://download.opensuse.org/update/13.1/                                       
    10 | repo-update-non-oss       | openSUSE-13.1-Update-Non-Oss       | Ja        | Ja            |   99      | http://download.opensuse.org/update/13.1-non-o
    Und jetzt? einfach nochmal über die VLC Homepage installieren?

  6. #6
    Join Date
    Jan 2010
    Location
    Ostwestfalen (Germany)
    Posts
    409

    Default AW: Re: VLC Problem OpenSuse 13.1 KDE

    Quote Originally Posted by MrX110 View Post
    Hab ehrlichgesagt keine Ahnung was 5 is, 6 is irgendwas für Skype, keine Ahnung ob ich das brauche, muss wohl mit der Skype installation mitgekommen sein über software.opensuse.org
    Wie Skype unter openSUSE installiert wird, erfährst du hier.

    Quote Originally Posted by MrX110 View Post
    O.k. also jetzt is mal alles weg dneke ich[…]
    Sieht gut aus.

    Quote Originally Posted by MrX110 View Post
    Und jetzt? einfach nochmal über die VLC Homepage installieren?
    Nein, über das vorhandene PackMan Repo. Dort aktivierst du aber vorerst die Autoauffrischung mit
    Code:
    zypper mr -r packman
    und änderst die Priorität des Repos mit:
    Code:
    zypper mr -p 10 packman
    Dann am besten, um mögliche Paketleichen aus dem VideoLAN Repo zu entfernen, ein
    Code:
    zypper dup --from packman
    Danach installierst du VLC
    Code:
    zypper in vlc vlc-codecs vlc-qt
    Falls du Gnome verwendest, ersetzt du vlc-qt durch vlc-gnome. Danach teste ob alles wie gewünscht funktioniert. Wenn nicht, dann halt wieder melden.

  7. #7

    Default Re: VLC Problem OpenSuse 13.1 KDE

    Funktioniert!!!

    Danke!!!

  8. #8

    Default Re: VLC Problem OpenSuse 13.1 KDE

    Quote Originally Posted by MrX110 View Post
    Funktioniert!!!

    Danke!!!
    Habe jetzt Opensuse 13.2 drauf, und wieder genau das selbe problem. VLC spielt gar nichts ab. Hab versucht es nochmal nach der Anleitung hier zu machen, leider ohne Erfolg. Was mache ich falsch?

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,722

    Default AW: VLC Problem OpenSuse 13.1 KDE

    Was mache ich falsch?
    Mit Infos rüberkommen?

    Mal die Ausgabe der Befehle posten, die tomm_fa angemerkt hatte?

  10. #10

    Default Re: VLC Problem OpenSuse 13.1 KDE

    sorry:

    also:

    cat /etc/os-release
    Code:
    NAME=openSUSE
    VERSION="13.2 (Harlequin)"
    VERSION_ID="13.2"
    PRETTY_NAME="openSUSE 13.2 (Harlequin) (x86_64)"
    ID=opensuse
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/o:opensuse:opensuse:13.2"
    BUG_REPORT_URL="https://bugs.opensuse.org"
    HOME_URL="https://opensuse.org/"
    ID_LIKE="suse"
    zypper lr -Pu
    Code:
    # | Alias                     | Name                               | Enabled | Refresh | Priority | URI                                                            
    --+---------------------------+------------------------------------+---------+---------+----------+----------------------------------------------------------------
    1 | packman-essentials        | packman-essentials                 | Yes     | Yes     |   99     | http://packman.inode.at/suse/openSUSE_13.2/Essentials/         
    2 | packman-multimedia        | packman-multimedia                 | Yes     | Yes     |   99     | http://packman.inode.at/suse/openSUSE_13.2/Multimedia/         
    3 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | No      | Yes     |   99     | http://download.opensuse.org/debug/update/13.2-non-oss/        
    4 | repo-source               | openSUSE-13.2-Source               | No      | Yes     |   99     | http://download.opensuse.org/source/distribution/13.2/repo/oss/
    zypper se -si vlc
    Code:
    Repository 'packman-essentials' is out-of-date. You can run 'zypper refresh' as root to update it.
    Repository 'packman-multimedia' is out-of-date. You can run 'zypper refresh' as root to update it.
    Loading repository data...
    Reading installed packages...
    
    S | Name        | Type    | Version     | Arch   | Repository        
    --+-------------+---------+-------------+--------+-------------------
    i | vlc-qt      | package | 2.1.5-239.2 | x86_64 | packman-essentials
    i | libvlc5     | package | 2.1.5-239.2 | x86_64 | packman-essentials
    i | vlc-codecs  | package | 2.1.5-239.2 | x86_64 | packman-essentials
    i | vlc         | package | 2.1.5-239.2 | x86_64 | packman-essentials
    i | vlc-noX     | package | 2.1.5-239.2 | x86_64 | packman-essentials
    i | libvlccore7 | package | 2.1.5-239.2 | x86_64 | packman-essentials
    ls /etc/zypp/services.d/
    Code:
    keine Anzeige
    ls /etc/zypp/repos.d/

    Code:
    packman-essentials.repo  packman-multimedia.repo  repo-debug-update-non-oss.repo  repo-source.repo
    Danke

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •